function [] = SCDconf_createexpcodes()

%% The expcode container,
% it contains a list of expcode numbers and function pointers
% to the corresponding object builder functions,
% we chose not to insert the object itself in the container
% since we do not want to call external code w.r.t. the in use
% expcode (comprising its defining code).
% Not that the printexpcodes method calls all the builder
% in sequence, printing out which ones are generating errors.
SCDexps=SCDclass_expcodecontainer; 

SCDexps=SCDexps.insertexpcode(1,    @(x) SCDexpcodeconf_template);
SCDexps=SCDexps.insertexpcode(1005, @(x) SCDexpcodeconf_tcvstandard02);
SCDexps=SCDexps.insertexpcode(10  , @(x) SCDexpcodeconf_f4eexample);


assignin('base','SCDexps',SCDexps);

end

